Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class Match.Offset

    java.lang.Object
      org.exist.dom.Match.Offset

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  Match

public static final class Match.Offset
extends java.lang.Object
implements java.lang.Comparable

Method Summary
`int` | `compareTo(java.lang.Object other)`
`int` | `getLength()`
`int` | `getOffset()`
`void` | `setOffset(int offset)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOffset

    public int getOffset()

### setOffset

    public void setOffset(int offset)

### getLength

    public int getLength()

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.